package com.xkrs.qiniu.service;

import org.springframework.web.multipart.MultipartFile;

/**
 * @Author: XinYi Song
 * @Date: 2021/12/14 16:52
 */
public interface UploadImageService {

    /**
     * 上传文件
     * @param file
     * @return
     */
    String uploadQiNiuImg(MultipartFile file);

    /**
     * 获取私有空间文件
     * @param fileKey
     * @return
     */
    String getPrivateFile(String fileKey);

    /**
     * 根据空间名、文件名删除文件
     * @param bucketName
     * @param fileKey
     * @return
     */
    boolean removeFile(String bucketName, String fileKey);
}
